Package ru.bitel.oss.kernel.entity.common.bean.enums

# Enum Class EntitySpecAttrType

java.lang.Object
java.lang.Enum<EntitySpecAttrType>
ru.bitel.oss.kernel.entity.common.bean.enums.EntitySpecAttrType

All Implemented Interfaces:
  `Serializable`, `Comparable<EntitySpecAttrType>`, `Constable`, `GuiTitlable`

public enum EntitySpecAttrType extends Enum<EntitySpecAttrType> implements GuiTitlable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDRESS`
  `BOOLEAN`
  `CONTRACT`
  `DATE`
  `EMAIL`
  `ENTITY`
  `HOUSE`
  `INT`
  `LIST`
  `LONG`
  `MULTILIST`
  `PERIOD`
  `PHONE`
  `SEPARATOR`
  `SERVICING_PERSON`
  `TEXT`
  `UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `String`
  `getTypeName()`
  `String`
  `getTypeTitle()`
  `static Optional<EntitySpecAttrType>`
  `optEntitySpecAttrType(int code)`
  `void`
  `setCode(int code)`
  `void`
  `setTypeName(String typeName)`
  `void`
  `setTypeTitle(String typeTitle)`
  `String`
  `toString()`
  `static EntitySpecAttrType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EntitySpecAttrType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SEPARATOR

    public static final EntitySpecAttrType SEPARATOR

  - ### UNKNOWN

    public static final EntitySpecAttrType UNKNOWN

  - ### TEXT

    public static final EntitySpecAttrType TEXT

  - ### INT

    public static final EntitySpecAttrType INT

  - ### BOOLEAN

    public static final EntitySpecAttrType BOOLEAN

  - ### LIST

    public static final EntitySpecAttrType LIST

  - ### DATE

    public static final EntitySpecAttrType DATE

  - ### PERIOD

    public static final EntitySpecAttrType PERIOD

  - ### HOUSE

    public static final EntitySpecAttrType HOUSE

  - ### ADDRESS

    public static final EntitySpecAttrType ADDRESS

  - ### EMAIL

    public static final EntitySpecAttrType EMAIL

  - ### PHONE

    public static final EntitySpecAttrType PHONE

  - ### MULTILIST

    public static final EntitySpecAttrType MULTILIST

  - ### LONG

    public static final EntitySpecAttrType LONG

  - ### ENTITY

    public static final EntitySpecAttrType ENTITY

  - ### CONTRACT

    public static final EntitySpecAttrType CONTRACT

  - ### SERVICING_PERSON

    public static final EntitySpecAttrType SERVICING_PERSON

- ## Method Details

  - ### values

    public static EntitySpecAttrType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EntitySpecAttrType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### setCode

    public void setCode(int code)

  - ### getTypeName

    public String getTypeName()

  - ### setTypeName

    public void setTypeName(String typeName)

  - ### getTypeTitle

    public String getTypeTitle()

  - ### setTypeTitle

    public void setTypeTitle(String typeTitle)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<EntitySpecAttrType>`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### optEntitySpecAttrType

    public static Optional<EntitySpecAttrType> optEntitySpecAttrType(int code)